package cn.gyee.tamplate.model;

import java.util.Date;

/**
 * Windturbine entity. @author MyEclipse Persistence Tools
 */

public class Windturbine implements java.io.Serializable {

	// Fields
	private static final long serialVersionUID = 1L;
	private String id;
	private String code;
	private String windpowerstationid;
	private Double longitude;
	private Double latitude;
	private String modelid;
	private String status;
	private String projectid;
	private String lineid;
	private Date firstintegratedtime;
	private String photo;
	private String name;
	private String standardid;


	// Constructors

	/** default constructor */
	public Windturbine() {
	}


	public String getId() {
    	return id;
    }


	public void setId(String id) {
    	this.id = id;
    }


	public String getCode() {
    	return code;
    }


	public void setCode(String code) {
    	this.code = code;
    }


	public String getWindpowerstationid() {
    	return windpowerstationid;
    }


	public void setWindpowerstationid(String windpowerstationid) {
    	this.windpowerstationid = windpowerstationid;
    }


	public Double getLongitude() {
    	return longitude;
    }


	public void setLongitude(Double longitude) {
    	this.longitude = longitude;
    }


	public Double getLatitude() {
    	return latitude;
    }


	public void setLatitude(Double latitude) {
    	this.latitude = latitude;
    }


	public String getModelid() {
    	return modelid;
    }


	public void setModelid(String modelid) {
    	this.modelid = modelid;
    }


	public String getStatus() {
    	return status;
    }


	public void setStatus(String status) {
    	this.status = status;
    }


	public String getProjectid() {
    	return projectid;
    }


	public void setProjectid(String projectid) {
    	this.projectid = projectid;
    }


	public String getLineid() {
    	return lineid;
    }


	public void setLineid(String lineid) {
    	this.lineid = lineid;
    }


	public Date getFirstintegratedtime() {
    	return firstintegratedtime;
    }


	public void setFirstintegratedtime(Date firstintegratedtime) {
    	this.firstintegratedtime = firstintegratedtime;
    }


	public String getPhoto() {
    	return photo;
    }


	public void setPhoto(String photo) {
    	this.photo = photo;
    }


	public String getName() {
    	return name;
    }


	public void setName(String name) {
    	this.name = name;
    }


	public String getStandardid() {
    	return standardid;
    }


	public void setStandardid(String standardid) {
    	this.standardid = standardid;
    }

	
	

}